Subject: bug#48024: glib-2.62.6 build fails i686

From: Bengt Richter <[email-masked]>
Date: Sat, 8 May 2021 15:26:43 +0200

Hi Mark,

tl;dr -- would you by chance have a mhw-bootstrap.sh that could clone
your set-up of a private git repo to use the way you often mention doing?

I am interested in doing it your way  ;)

IIRC, Pjotr wrote extensive notes on how to build starting with a git clone,
but ended up advising against doing it unless there was no other way.

Any tips appreciated :)
TIA.

On +2021-05-07 13:46:07 -0400, Mark H Weaver wrote:
> Hi,
> 
> Bone Baboon <[email-masked]> writes:
> > How can I use the glib I have built in a system configuration while this
> > fix or a variation of it makes it's way into the Guix master branch?
> 
> I guess that you'll need to set up a personal branch of Guix, like I do,
> with a patch applied to the 'glib' package, and another patch applied to
> 'inetutils' (referring to <https://bugs.gnu.org/48214#35>).
> 
> My recommendation, for now, would be to do this:
> 
> (1) Set up your own git repository, with a personal branch that's the
>     same as our official 'master' branch plus the additional patches
>     that you need, and to periodically rebase this branch on top of our
>     'master' branch.
> 
> (2) On all of your systems that need these customizations, pass the
>     "--url=URL" and "--branch=BRANCH" options to "guix pull", each time
>     you use that command.
> 
> There _might_ be a nicer way to set this up using channels, but I've
> never used channels and am mostly ignorant of them.  Maybe someone else
> can chime in on that point.
> 
>       Regards,
>         Mark
> 
> -- 
> Disinformation flourishes because many people care deeply about injustice
> but very few check the facts.  Ask me about <https://stallmansupport.org>.
> 
> 
> 

-- 
Regards,
Bengt Richter